### Virtual Method

# Pango FontFamilylist_faces

#### Declaration [src]

    void
    list_faces (
      PangoFontFamily* family,
      PangoFontFace*** faces,
      int* n_faces
    )

#### Description [src]

Lists the different font faces that make up `family`.

The faces in a family share a common design, but differ in slant, weight, width and other aspects.

Note that the returned faces are not in any particular order, and multiple faces may have the same name or characteristics.

`PangoFontFamily` also implemented the `GListModel` interface for enumerating faces.

#### Parameters

`faces`

  Type: An array of `PangoFontFace**`

  location to store an array of pointers to `PangoFontFace` objects, or `NULL`. This array should be freed with `g_free()` when it is no longer needed.

  The argument will be set by the function.
  The argument can be `NULL`.
  The length of the array is specified in the `n_faces` argument.
  The caller of the function takes ownership of the data container, but not the data inside it.

`n_faces`

  Type: `int*`

  Location to store number of elements in `faces`.

  The argument will be set by the function.